Documentation

Development

User Acquisition

Monetization

Industry

ironSource Ads

Android SDK

iOS SDK

ironSource Ads

ironSource Ads
​
​
Monetization
  • Get started
  • Measurement and reports
  • APIs
    • Authentication
    • Reporting
    • Impression level revenue
    • Application
    • Instances
  • SDK
  1. Grow your game
  2. ironSource Ads
  3. ironSource Ads monetization

API authentication

Authenticate your API requests using your ironSource credentials to securely access reporting and management endpoints.
Read time 1 minute
Last updated a year ago

All ironSource API endpoints are secured, and must be used with an authentication token. First, you'll need to add an authorization header for authentication.

Bearer API authentication

A Bearer API authentication is needed for the use of ironSource's Application API and Instance API.

Description

Bearer API authentication is based on auth 2.0 Bearer authentication. The HTTP Authorization header is created based on your account's unique Secret key & Refresh Token. You can find your unique parameters under 'My Account'.

Method

GET platform.ironsrc.com/partners/publisher/auth

Request URL

https://platform.ironsrc.com/partners/publisher/auth

Request example

$authURL = 'https://platform.ironsrc.com/partners/publisher/auth';$authHeaders = array( 'secretkey: <a1b2c3d4e5f67890abcdef1234567890>', 'refreshToken: <fa9e8d7c6b5a4938271605e4d3c2b1a0>',);$curlClient = curl_init($authURL);curl_setopt($curlClient, CURLOPT_HTTPHEADER, $authHeaders);curl_setopt($curlClient, CURLOPT_RETURNTRANSFER, true);$bearerTokenResponse = curl_exec($curlClient);$bearerToken = str_replace('"','',$bearerTokenResponse);curl_close($curlClient);

Response example

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzZWNyZXRLZXkiOiJhMWIyYzNkNGU1ZjY3ODkwYWJjZGVmMTIzNDU2Nzg5MCIsInJlZnJlc2hUb2tlbiI6ImZhOWU4ZDdjNmI1YTQ5MzgyNzE2MDVlNGQzYzJiMWEwIiwiZXhwaXJhdGlvblRpbWUiOjIxNDM5NTg0MDB9.rK9mXvQpLzNwYtDsAqBcEuFhGjIkMnOpRsTuVwXyZa4
The generated token should be used for the bearer token authorization:
GET https://platform.ironsrc.com/partners/publisher/instances/v1?appKey=123abcAuthorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzZWNyZXRLZXkiOiJhMWIyYzNkNGU1ZjY3ODkwYWJjZGVmMTIzNDU2Nzg5MCIsInJlZnJlc2hUb2tlbiI6ImZhOWU4ZDdjNmI1YTQ5MzgyNzE2MDVlNGQzYzJiMWEwIiwiZXhwaXJhdGlvblRpbWUiOjIxNDM5NTg0MDB9.rK9mXvQpLzNwYtDsAqBcEuFhGjIkMnOpRsTuVwXyZa4
Note
The token is valid for 24 hours.

Standard API authentication

Description

This type of authentication is based on Basic HTTP Authentication with HTTPS. The HTTP Authorization header is created based on the base64 version of username:secret key.
  • username is the login/email that is used to login to our system.
  • secret key parameter is unique for your LevelPlay account.
You can find your Secret Key under My Account.

Request Headers example

Basic `<YOUR_BASE64_ENCODED_TOKEN>`

Copyright © 2026 Unity Technologies
LegalPrivacy PolicyCookiesDocumentation Terms of UseDo Not Sell or Share My Personal InformationYour Privacy Choices (Cookie Settings)

"Unity", Unity logos, and other Unity trademarks are trademarks or registered trademarks of Unity Technologies or its affiliates in the U.S and elsewhere (more info here). Other names or brands are trademarks of their respective owners.

Some pages are machine-translated for convenience, and may contain inaccuracies. In the event of conflicting information, the English version is authoritative.

  • On this page
    • Bearer API authentication

      • Description

      • Method

      • Request URL

      • Request example

      • Response example

    • Standard API authentication

      • Description

        • Request Headers example


Report a problem with this page
​
​